%global _empty_manifest_terminate_build 0
Name:		python-jaraco-classes
Version:	3.2.1
Release:	1
Summary:	Utility functions for Python class constructs
License:	MIT 
URL:		https://pypi.org/project/jaraco.classes
Source0:	https://files.pythonhosted.org/packages/7b/de/28a640c17a80f5e0fab5c494679e2e66b36d7fd20622e27718bea8be34b8/jaraco.classes-3.2.1.tar.gz
BuildArch:	noarch
Recommends:     %{name}-help = %{version}-%{release}

BuildRequires:	python3-sphinx python3-pytest

Requires:	python3-more-itertools
Requires:	python3-sphinx
Requires:	python3-pytest
Requires:	python3-pytest-checkdocs
Requires:	python3-pytest-flake8
Requires:	python3-pytest-black-multipy
Requires:	python3-pytest-cov

%description
Utility functions for Python class constructs.


%package -n python3-jaraco-classes
Summary:	Utility functions for Python class constructs
Provides:	python-jaraco-classes
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm >= 1.15
%description -n python3-jaraco-classes
Utility functions for Python class constructs.

%package help
Summary:	Development documents and examples for jaraco.classes
Provides:	python3-jaraco-classes-doc
%description help
Documentation for jaraco-classes

%prep
%autosetup -n jaraco.classes-3.2.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-jaraco-classes -f filelist.lst
%exclude %{python3_sitelib}/jaraco/__init__*
%exclude %{python3_sitelib}/jaraco/__pycache__/__init__*
%{python3_sitelib}/jaraco
%{python3_sitelib}/jaraco.classes-%{version}-py%{python3_version}.egg-info

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Oct 27 2022 yaoxin <yaoxin30@h-partners.com> - 3.2.1-1
- Upgrade to 3.2.1

* Tue Jan 05 2021 lingsheng <lingsheng@huawei.com> - 3.1.0-2
- Add buildrequire python3-setuptools_scm

* Fri Nov 13 2020 Python_Bot <Python_Bot@openeuler.org> - 3.1.0-1
- Package init
